Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/10
Addresses2^118
/64 networks2^54
Network
ffc0::/10
First address
ffc0::
Last address
ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
332,306,998,946,228,968,225,951,765,070,086,144 (2^118)
/64 networks (LANs)
18,014,398,509,481,984 (2^54)
Full form
ffc0:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zones
c.f.f.ip6.arpa
d.f.f.ip6.arpa
e.f.f.ip6.arpa
f.f.f.ip6.arpa
/10 is not on a 4-bit boundary, so it takes 4 /12 zones.
Split into smaller subnets/24

ffc0::/10 makes 16,384 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
1ffc0::/24ffc0:ff:ffff:ffff:ffff:ffff:ffff:ffff
2ffc0:100::/24ffc0:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3ffc0:200::/24ffc0:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4ffc0:300::/24ffc0:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5ffc0:400::/24ffc0:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6ffc0:500::/24ffc0:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7ffc0:600::/24ffc0:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8ffc0:700::/24ffc0:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9ffc0:800::/24ffc0:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10ffc0:900::/24ffc0:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11ffc0:a00::/24ffc0:aff:ffff:ffff:ffff:ffff:ffff:ffff
12ffc0:b00::/24ffc0:bff:ffff:ffff:ffff:ffff:ffff:ffff
13ffc0:c00::/24ffc0:cff:ffff:ffff:ffff:ffff:ffff:ffff
14ffc0:d00::/24ffc0:dff:ffff:ffff:ffff:ffff:ffff:ffff
15ffc0:e00::/24ffc0:eff:ffff:ffff:ffff:ffff:ffff:ffff
16ffc0:f00::/24ffc0:fff:ffff:ffff:ffff:ffff:ffff:ffff
17ffc0:1000::/24ffc0:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18ffc0:1100::/24ffc0:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19ffc0:1200::/24ffc0:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20ffc0:1300::/24ffc0:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21ffc0:1400::/24ffc0:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22ffc0:1500::/24ffc0:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23ffc0:1600::/24ffc0:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24ffc0:1700::/24ffc0:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25ffc0:1800::/24ffc0:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26ffc0:1900::/24ffc0:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27ffc0:1a00::/24ffc0:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28ffc0:1b00::/24ffc0:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29ffc0:1c00::/24ffc0:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30ffc0:1d00::/24ffc0:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31ffc0:1e00::/24ffc0:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32ffc0:1f00::/24ffc0:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33ffc0:2000::/24ffc0:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34ffc0:2100::/24ffc0:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35ffc0:2200::/24ffc0:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36ffc0:2300::/24ffc0:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37ffc0:2400::/24ffc0:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38ffc0:2500::/24ffc0:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39ffc0:2600::/24ffc0:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40ffc0:2700::/24ffc0:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41ffc0:2800::/24ffc0:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42ffc0:2900::/24ffc0:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43ffc0:2a00::/24ffc0:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44ffc0:2b00::/24ffc0:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45ffc0:2c00::/24ffc0:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46ffc0:2d00::/24ffc0:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47ffc0:2e00::/24ffc0:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48ffc0:2f00::/24ffc0:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49ffc0:3000::/24ffc0:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50ffc0:3100::/24ffc0:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51ffc0:3200::/24ffc0:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52ffc0:3300::/24ffc0:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53ffc0:3400::/24ffc0:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54ffc0:3500::/24ffc0:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55ffc0:3600::/24ffc0:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56ffc0:3700::/24ffc0:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57ffc0:3800::/24ffc0:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58ffc0:3900::/24ffc0:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59ffc0:3a00::/24ffc0:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60ffc0:3b00::/24ffc0:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61ffc0:3c00::/24ffc0:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62ffc0:3d00::/24ffc0:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63ffc0:3e00::/24ffc0:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64ffc0:3f00::/24ffc0:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65ffc0:4000::/24ffc0:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66ffc0:4100::/24ffc0:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67ffc0:4200::/24ffc0:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68ffc0:4300::/24ffc0:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69ffc0:4400::/24ffc0:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70ffc0:4500::/24ffc0:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71ffc0:4600::/24ffc0:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72ffc0:4700::/24ffc0:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73ffc0:4800::/24ffc0:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74ffc0:4900::/24ffc0:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75ffc0:4a00::/24ffc0:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76ffc0:4b00::/24ffc0:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77ffc0:4c00::/24ffc0:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78ffc0:4d00::/24ffc0:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79ffc0:4e00::/24ffc0:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80ffc0:4f00::/24ffc0:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81ffc0:5000::/24ffc0:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82ffc0:5100::/24ffc0:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83ffc0:5200::/24ffc0:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84ffc0:5300::/24ffc0:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85ffc0:5400::/24ffc0:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86ffc0:5500::/24ffc0:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87ffc0:5600::/24ffc0:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88ffc0:5700::/24ffc0:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89ffc0:5800::/24ffc0:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90ffc0:5900::/24ffc0:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91ffc0:5a00::/24ffc0:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92ffc0:5b00::/24ffc0:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93ffc0:5c00::/24ffc0:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94ffc0:5d00::/24ffc0:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95ffc0:5e00::/24ffc0:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96ffc0:5f00::/24ffc0:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97ffc0:6000::/24ffc0:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98ffc0:6100::/24ffc0:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99ffc0:6200::/24ffc0:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100ffc0:6300::/24ffc0:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101ffc0:6400::/24ffc0:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102ffc0:6500::/24ffc0:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103ffc0:6600::/24ffc0:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104ffc0:6700::/24ffc0:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105ffc0:6800::/24ffc0:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106ffc0:6900::/24ffc0:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107ffc0:6a00::/24ffc0:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108ffc0:6b00::/24ffc0:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109ffc0:6c00::/24ffc0:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110ffc0:6d00::/24ffc0:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111ffc0:6e00::/24ffc0:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112ffc0:6f00::/24ffc0:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113ffc0:7000::/24ffc0:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114ffc0:7100::/24ffc0:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115ffc0:7200::/24ffc0:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116ffc0:7300::/24ffc0:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117ffc0:7400::/24ffc0:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118ffc0:7500::/24ffc0:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119ffc0:7600::/24ffc0:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120ffc0:7700::/24ffc0:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121ffc0:7800::/24ffc0:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122ffc0:7900::/24ffc0:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123ffc0:7a00::/24ffc0:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124ffc0:7b00::/24ffc0:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125ffc0:7c00::/24ffc0:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126ffc0:7d00::/24ffc0:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127ffc0:7e00::/24ffc0:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128ffc0:7f00::/24ffc0:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129ffc0:8000::/24ffc0:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130ffc0:8100::/24ffc0:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131ffc0:8200::/24ffc0:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132ffc0:8300::/24ffc0:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133ffc0:8400::/24ffc0:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134ffc0:8500::/24ffc0:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135ffc0:8600::/24ffc0:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136ffc0:8700::/24ffc0:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137ffc0:8800::/24ffc0:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138ffc0:8900::/24ffc0:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139ffc0:8a00::/24ffc0:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140ffc0:8b00::/24ffc0:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141ffc0:8c00::/24ffc0:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142ffc0:8d00::/24ffc0:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143ffc0:8e00::/24ffc0:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144ffc0:8f00::/24ffc0:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145ffc0:9000::/24ffc0:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146ffc0:9100::/24ffc0:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147ffc0:9200::/24ffc0:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148ffc0:9300::/24ffc0:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149ffc0:9400::/24ffc0:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150ffc0:9500::/24ffc0:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151ffc0:9600::/24ffc0:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152ffc0:9700::/24ffc0:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153ffc0:9800::/24ffc0:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154ffc0:9900::/24ffc0:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155ffc0:9a00::/24ffc0:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156ffc0:9b00::/24ffc0:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157ffc0:9c00::/24ffc0:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158ffc0:9d00::/24ffc0:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159ffc0:9e00::/24ffc0:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160ffc0:9f00::/24ffc0:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161ffc0:a000::/24ffc0:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162ffc0:a100::/24ffc0:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163ffc0:a200::/24ffc0:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164ffc0:a300::/24ffc0:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165ffc0:a400::/24ffc0:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166ffc0:a500::/24ffc0:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167ffc0:a600::/24ffc0:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168ffc0:a700::/24ffc0:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169ffc0:a800::/24ffc0:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170ffc0:a900::/24ffc0:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171ffc0:aa00::/24ffc0:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172ffc0:ab00::/24ffc0:abff:ffff:ffff:ffff:ffff:ffff:ffff
173ffc0:ac00::/24ffc0:acff:ffff:ffff:ffff:ffff:ffff:ffff
174ffc0:ad00::/24ffc0:adff:ffff:ffff:ffff:ffff:ffff:ffff
175ffc0:ae00::/24ffc0:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176ffc0:af00::/24ffc0:afff:ffff:ffff:ffff:ffff:ffff:ffff
177ffc0:b000::/24ffc0:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178ffc0:b100::/24ffc0:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179ffc0:b200::/24ffc0:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180ffc0:b300::/24ffc0:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181ffc0:b400::/24ffc0:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182ffc0:b500::/24ffc0:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183ffc0:b600::/24ffc0:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184ffc0:b700::/24ffc0:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185ffc0:b800::/24ffc0:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186ffc0:b900::/24ffc0:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187ffc0:ba00::/24ffc0:baff:ffff:ffff:ffff:ffff:ffff:ffff
188ffc0:bb00::/24ffc0:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189ffc0:bc00::/24ffc0:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190ffc0:bd00::/24ffc0:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191ffc0:be00::/24ffc0:beff:ffff:ffff:ffff:ffff:ffff:ffff
192ffc0:bf00::/24ffc0:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193ffc0:c000::/24ffc0:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194ffc0:c100::/24ffc0:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195ffc0:c200::/24ffc0:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196ffc0:c300::/24ffc0:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197ffc0:c400::/24ffc0:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198ffc0:c500::/24ffc0:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199ffc0:c600::/24ffc0:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200ffc0:c700::/24ffc0:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201ffc0:c800::/24ffc0:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202ffc0:c900::/24ffc0:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203ffc0:ca00::/24ffc0:caff:ffff:ffff:ffff:ffff:ffff:ffff
204ffc0:cb00::/24ffc0:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205ffc0:cc00::/24ffc0:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206ffc0:cd00::/24ffc0:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207ffc0:ce00::/24ffc0:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208ffc0:cf00::/24ffc0:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209ffc0:d000::/24ffc0:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210ffc0:d100::/24ffc0:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211ffc0:d200::/24ffc0:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212ffc0:d300::/24ffc0:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213ffc0:d400::/24ffc0:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214ffc0:d500::/24ffc0:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215ffc0:d600::/24ffc0:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216ffc0:d700::/24ffc0:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217ffc0:d800::/24ffc0:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218ffc0:d900::/24ffc0:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219ffc0:da00::/24ffc0:daff:ffff:ffff:ffff:ffff:ffff:ffff
220ffc0:db00::/24ffc0:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221ffc0:dc00::/24ffc0:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222ffc0:dd00::/24ffc0:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223ffc0:de00::/24ffc0:deff:ffff:ffff:ffff:ffff:ffff:ffff
224ffc0:df00::/24ffc0:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225ffc0:e000::/24ffc0:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226ffc0:e100::/24ffc0:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227ffc0:e200::/24ffc0:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228ffc0:e300::/24ffc0:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229ffc0:e400::/24ffc0:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230ffc0:e500::/24ffc0:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231ffc0:e600::/24ffc0:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232ffc0:e700::/24ffc0:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233ffc0:e800::/24ffc0:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234ffc0:e900::/24ffc0:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235ffc0:ea00::/24ffc0:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236ffc0:eb00::/24ffc0:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237ffc0:ec00::/24ffc0:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238ffc0:ed00::/24ffc0:edff:ffff:ffff:ffff:ffff:ffff:ffff
239ffc0:ee00::/24ffc0:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240ffc0:ef00::/24ffc0:efff:ffff:ffff:ffff:ffff:ffff:ffff
241ffc0:f000::/24ffc0:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242ffc0:f100::/24ffc0:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243ffc0:f200::/24ffc0:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244ffc0:f300::/24ffc0:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245ffc0:f400::/24ffc0:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246ffc0:f500::/24ffc0:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247ffc0:f600::/24ffc0:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248ffc0:f700::/24ffc0:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249ffc0:f800::/24ffc0:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250ffc0:f900::/24ffc0:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251ffc0:fa00::/24ffc0:faff:ffff:ffff:ffff:ffff:ffff:ffff
252ffc0:fb00::/24ffc0:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253ffc0:fc00::/24ffc0:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254ffc0:fd00::/24ffc0:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255ffc0:fe00::/24ffc0:feff:ffff:ffff:ffff:ffff:ffff:ffff
256ffc0:ff00::/24ffc0:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses